OJS 2.3.3-3 Recommended Patches

From PKP Wiki
Revision as of 13:01, 26 November 2010 by Michael (Talk | contribs)

Jump to: navigation, search

The following patches are recommended for OJS 2.3.3-3. They can be applied to the codebase using the GNU Patch Tool (available on most *NIX platforms, and as a free download for Windows-based systems).

Each entry below links to the Bugzilla record for the bug in question. Patches are linked from there. Patches against OJS should be applied with the -p1 option from within the OJS installation directory; patches against the PKP library should be applied with the -p1 option from within the lib/pkp subdirectory.

For more information on how to apply patches, please see this discussion in the PKP support forum.

Note that security-related and other critical patches will be clearly identified as such; otherwise, patches should not be considered critical.

Bug #6246: OJS 2.3.3 upgrade fails on PHP4
Bug #6219: Subscription end date resets to expiry default
Bug #6097: Unexpected counter log data loss on upgrade
Bug #6133: Upgrade to 2.3.3-3 Doesn't correctly update version
Bug #6115: citation assistant: remap ctrl+a = save+approve and ctrl-c = cancel to make sure that copy/paste is not overridden
Bug #6119: "References" header appears when there are no references
Bug #6048: Fatal error searching submissions from Editor home
Bug #6220: Upgrade process incorrect for OJS 2.1.1 and prior to 2.3.3
Bug #6226: HttpsPolicy tries to return undefined constant.
Bug #6248: Article commenting comments outdated (PKP part of patch only)
Bug #6255: Fixed join condition on editor submission fetch
Bug #6080: TinyMCE uses HTML entities rather than UTF8
Bug #6246: Upgrade fails on PHP4 due to incorrect false return
Bug #6258: Correct index warning for reviewer statistics